Package weka.gui.beans

# Interface CustomizerCloseRequester

All Known Implementing Classes:
  `AssociatorCustomizer`, `ClassAssignerCustomizer`, `ClassifierCustomizer`, `ClassValuePickerCustomizer`, `ClustererCustomizer`, `FilterCustomizer`, `LoaderCustomizer`, `SaverCustomizer`, `SerializedModelSaverCustomizer`

public interface CustomizerCloseRequester
Customizers who want to be able to close the customizer window themselves can implement this window. The KnowledgeFlow will pass in the reference to the parent JFrame when constructing the customizer. The customizer can then call dispose() the Frame whenever it suits them.

Version:
  $Revision: 1.2 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`void`
`setParentFrame(JFrame parent)`
A reference to the parent is passed in

## Method Details

### setParentFrame

void setParentFrame(JFrame parent)
A reference to the parent is passed in

Parameters:
  `parent` - the parent frame